// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FEnumProperty.h"
#include "SourcifyCoreUEWrapperModule.h"
#include "UObject/UnrealType.h"

using namespace Sourcify;

SCW_FEnumProperty::SCW_FEnumProperty(FEnumProperty* InEnumProperty) : SCW_FProperty(InEnumProperty), EnumProperty(InEnumProperty)
{

}

ISCW_UEnumPtr SCW_FEnumProperty::GetEnum() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*EnumProperty->GetEnum());
}

FEnumProperty* SCW_FEnumProperty::ToFEnumProperty() const
{
	return EnumProperty;
}
